---
updatedAt: 2026-03-23T13:47:14.000Z
agentTools:
  projectIndex: https://developer.validic.com/llms.txt
---

# Intraday

Returns a list of time series activity data for a given user.

GET /organizations/:org_id/users/:uid/intraday

## Request Information

### Request Parameters

<Table align={["left","left","left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>
        Name
      </th>

      <th style={{ textAlign: "left" }}>
        Required Field
      </th>

      <th style={{ textAlign: "left" }}>
        Type
      </th>

      <th style={{ textAlign: "left" }}>
        Description
      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        start_date
      </td>

      <td style={{ textAlign: "left" }}>
        optional
      </td>

      <td style={{ textAlign: "left" }}>
        string
      </td>

      <td style={{ textAlign: "left" }}>
        The start date to retrieve user data for. Format: YYYY-MM-DD. Default is current UTC day. Max date range is 30 days.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        end_date
      </td>

      <td style={{ textAlign: "left" }}>
        optional
      </td>

      <td style={{ textAlign: "left" }}>
        string
      </td>

      <td style={{ textAlign: "left" }}>
        The end date to retrieve user data for. Format: YYYY-MM-DD. Default is current UTC day. Max date range is 30 days.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        source
      </td>

      <td style={{ textAlign: "left" }}>
        optional
      </td>

      <td style={{ textAlign: "left" }}>
        string
      </td>

      <td style={{ textAlign: "left" }}>
        Used to filter records to source(s).  
        Example:  
        “...?source=fitbit,garmin”  
        or  
        “...?source=fitbit”
      </td>
    </tr>
  </tbody>
</Table>

### HTTP Response Status

| Response Code     | Description                                                   |
| :---------------- | :------------------------------------------------------------ |
| 200 (Ok)          | Indicates the request was received and a result was returned. |
| 400 (Bad Request) | Indicates that there was an error with request                |

### Field Description

| Name                       | Type    | Description                                                                                                                                                                                                                                                                                |
| :------------------------- | :------ | :----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| version                    | string  | Indicates the resource payload version. Validic will make future updates to the structure of the resource payload where breaking changes will receive a new version.                                                                                                                       |
| id                         | string  | Unique identifier for the record.                                                                                                                                                                                                                                                          |
| checksum                   | string  | A derived value useful when comparing records with the same `id` for data updates.                                                                                                                                                                                                         |
| type                       | string  | The Validic Resource type. For Intraday records the type will be `intraday`.                                                                                                                                                                                                               |
| start\_time                | string  | The start time of the event represented in UTC. Format: YYYY-MM-DDThh:mm:ssZ.                                                                                                                                                                                                              |
| end\_time                  | string  | The end time of the event represented in UTC. Format: YYYY-MM-DDThh:mm:ssZ.                                                                                                                                                                                                                |
| utc\_offset                | integer | The offset in seconds from UTC.                                                                                                                                                                                                                                                            |
| offset\_origin             | string  | The source of the UTC offset. Valid values: `source` (UTC offset received from the original record), `profile` (UTC offset received from the source's user profile), `user_defined` (UTC offset provided by user's time zone selection upon authorization through the Validic Marketplace) |
| user                       | object  | A User object that contains identifiers related to the user.                                                                                                                                                                                                                               |
| user>uid                   | string  | The customer's user ID.                                                                                                                                                                                                                                                                    |
| user>user\_id              | string  | Validic user ID.                                                                                                                                                                                                                                                                           |
| user>organization\_id      | string  | Validic organization ID.                                                                                                                                                                                                                                                                   |
| log\_id                    | string  | The unique identifier for the record provided by the source.                                                                                                                                                                                                                               |
| source                     | string  | A source object that contains source specific information.                                                                                                                                                                                                                                 |
| source>type                | string  | The source Validic retrieved the data from.source>type                                                                                                                                                                                                                                     |
| source>device              | object  | A device object containing information about the device that generated the data if available.                                                                                                                                                                                              |
| source>device>name         | string  | The name of the device.                                                                                                                                                                                                                                                                    |
| source>device>type         | string  | The type of the device.                                                                                                                                                                                                                                                                    |
| metrics                    | array   | An array of Metrics. Refer to the Metrics documentation for further information.                                                                                                                                                                                                           |
| metrics>type               | string  | The type of metric being reported.                                                                                                                                                                                                                                                         |
| metrics>unit               | string  | The unit of the metric being reported.                                                                                                                                                                                                                                                     |
| metrics>origin             | string  | The source of the metric. Valid values: `device` the data source indicated this metric was generated by the device, `manual` the data source indicated this metric was manually entered, `unknown` the data source did not indicate an origin for this metric.                             |
| metrics>data\_points       | array   | An array to times series data points for the given metric.                                                                                                                                                                                                                                 |
| metrics>data\_points>time  | string  | UTC timestamp for the data point.                                                                                                                                                                                                                                                          |
| metrics>data\_points>value | string  | Value for the metric for a specific time series data point.                                                                                                                                                                                                                                |
| created\_at                | string  | The record processed time represented in UTC. Format: YYYY-MM-DDThh:mm:ssZ.                                                                                                                                                                                                                |

## Additional Code Samples

```json Fitbit Distance
event:data
data:{
   "checksum":"9c6c83e88c09ad4a74fce855ff6b3896",
   "created_at":"2026-03-19T17:01:11.512Z",
   "deleted_at":null,
   "end_time":"2026-03-17T04:59:00Z",
   "granularity":{
      "interval":1,
      "unit":"min"
   },
   "id":"667a7a82fcSAMPLEeaef8e4a1b231",
   "log_id":"97026cebc7c55d60a45f486d7cc053ee",
   "metrics":[
      {
         "data_points":[
            {
               "time":"2026-03-16T18:57:00Z",
               "value":26.69999934732914
            },
            {
               "time":"2026-03-16T18:58:00Z",
               "value":0.013299999758601189
            },
            {
               "time":"2026-03-16T19:02:00Z",
               "value":0.0035000001080334187
            },
            {
               "time":"2026-03-16T19:32:00Z",
               "value":0.00559999980032444
            },
            {
               "time":"2026-03-16T19:33:00Z",
               "value":0.0035000001080334187
            },
            {
               "time":"2026-03-16T19:41:00Z",
               "value":0.00279999990016222
            },
            {
               "time":"2026-03-16T19:48:00Z",
               "value":0.021700000390410423
            },
            {
               "time":"2026-03-16T19:49:00Z",
               "value":0.014700000174343586
            },
            {
               "time":"2026-03-16T19:50:00Z",
               "value":0.00279999990016222
            },
            {
               "time":"2026-03-16T20:09:00Z",
               "value":0.00419999985024333
            },
            {
               "time":"2026-03-16T20:27:00Z",
               "value":0.02669999934732914
            },
            {
               "time":"2026-03-16T20:32:00Z",
               "value":0.011900000274181366
            },
            {
               "time":"2026-03-16T20:33:00Z",
               "value":0.00419999985024333
            },
            {
               "time":"2026-03-16T20:38:00Z",
               "value":0.00419999985024333
            },
            {
               "time":"2026-03-16T20:55:00Z",
               "value":0.0035000001080334187
            },
            {
               "time":"2026-03-16T20:57:00Z",
               "value":0.0203000009059906
            },
            {
               "time":"2026-03-16T21:33:00Z",
               "value":0.030899999663233757
            },
            {
               "time":"2026-03-16T21:35:00Z",
               "value":0.035100001841783524
            },
            {
               "time":"2026-03-16T21:36:00Z",
               "value":0.007699999958276749
            },
            {
               "time":"2026-03-16T22:04:00Z",
               "value":0.020999999716877937
            },
            {
               "time":"2026-03-16T22:12:00Z",
               "value":0.00419999985024333
            },
            {
               "time":"2026-03-16T22:17:00Z",
               "value":0.00559999980032444
            },
            {
               "time":"2026-03-16T22:19:00Z",
               "value":0.009100000374019146
            },
            {
               "time":"2026-03-16T22:20:00Z",
               "value":0.01119999960064888
            },
            {
               "time":"2026-03-16T22:21:00Z",
               "value":0.032999999821186066
            },
            {
               "time":"2026-03-16T22:22:00Z",
               "value":0.03790000081062317
            },
            {
               "time":"2026-03-16T22:23:00Z",
               "value":0.06040000170469284
            },
            {
               "time":"2026-03-16T22:24:00Z",
               "value":0.07519999891519547
            },
            {
               "time":"2026-03-16T22:25:00Z",
               "value":0.07590000331401825
            },
            {
               "time":"2026-03-16T22:26:00Z",
               "value":0.03790000081062317
            },
            {
               "time":"2026-03-16T22:27:00Z",
               "value":0.044199999421834946
            },
            {
               "time":"2026-03-16T22:28:00Z",
               "value":0.07800000160932541
            },
            {
               "time":"2026-03-16T22:29:00Z",
               "value":0.07519999891519547
            },
            {
               "time":"2026-03-16T22:30:00Z",
               "value":0.07800000160932541
            },
            {
               "time":"2026-03-16T22:31:00Z",
               "value":0.04839999973773956
            },
            {
               "time":"2026-03-16T22:32:00Z",
               "value":0.01679999940097332
            },
            {
               "time":"2026-03-16T22:33:00Z",
               "value":0.00559999980032444
            },
            {
               "time":"2026-03-16T22:34:00Z",
               "value":0.004900000058114529
            },
            {
               "time":"2026-03-16T22:51:00Z",
               "value":0.00559999980032444
            },
            {
               "time":"2026-03-16T22:56:00Z",
               "value":0.00419999985024333
            },
            {
               "time":"2026-03-16T23:02:00Z",
               "value":0.004900000058114529
            },
            {
               "time":"2026-03-16T23:06:00Z",
               "value":0.009100000374019146
            },
            {
               "time":"2026-03-16T23:07:00Z",
               "value":0.00419999985024333
            },
            {
               "time":"2026-03-16T23:08:00Z",
               "value":0.031599998474121094
            },
            {
               "time":"2026-03-16T23:09:00Z",
               "value":0.029500000178813934
            },
            {
               "time":"2026-03-16T23:10:00Z",
               "value":0.012600000016391277
            },
            {
               "time":"2026-03-16T23:13:00Z",
               "value":0.011900000274181366
            },
            {
               "time":"2026-03-16T23:14:00Z",
               "value":0.01119999960064888
            },
            {
               "time":"2026-03-16T23:15:00Z",
               "value":0.0203000009059906
            },
            {
               "time":"2026-03-16T23:16:00Z",
               "value":0.011900000274181366
            },
            {
               "time":"2026-03-16T23:17:00Z",
               "value":0.011900000274181366
            },
            {
               "time":"2026-03-16T23:19:00Z",
               "value":0.00559999980032444
            },
            {
               "time":"2026-03-16T23:20:00Z",
               "value":0.019600000232458115
            },
            {
               "time":"2026-03-16T23:22:00Z",
               "value":0.014000000432133675
            },
            {
               "time":"2026-03-16T23:24:00Z",
               "value":0.011900000274181366
            },
            {
               "time":"2026-03-16T23:25:00Z",
               "value":0.0203000009059906
            },
            {
               "time":"2026-03-16T23:26:00Z",
               "value":0.012600000016391277
            },
            {
               "time":"2026-03-16T23:28:00Z",
               "value":0.011900000274181366
            },
            {
               "time":"2026-03-16T23:30:00Z",
               "value":0.018200000748038292
            },
            {
               "time":"2026-03-16T23:31:00Z",
               "value":0.011900000274181366
            },
            {
               "time":"2026-03-16T23:50:00Z",
               "value":0.018200000748038292
            },
            {
               "time":"2026-03-16T23:52:00Z",
               "value":0.006300000008195639
            },
            {
               "time":"2026-03-17T00:05:00Z",
               "value":0.009100000374019146
            },
            {
               "time":"2026-03-17T00:06:00Z",
               "value":0.00559999980032444
            },
            {
               "time":"2026-03-17T00:07:00Z",
               "value":0.007000000216066837
            },
            {
               "time":"2026-03-17T00:09:00Z",
               "value":0.011900000274181366
            },
            {
               "time":"2026-03-17T00:10:00Z",
               "value":0.00839999970048666
            },
            {
               "time":"2026-03-17T00:15:00Z",
               "value":0.007000000216066837
            },
            {
               "time":"2026-03-17T00:16:00Z",
               "value":0.006300000008195639
            },
            {
               "time":"2026-03-17T00:42:00Z",
               "value":0.006300000008195639
            },
            {
               "time":"2026-03-17T00:43:00Z",
               "value":0.007699999958276749
            },
            {
               "time":"2026-03-17T00:44:00Z",
               "value":0.00419999985024333
            },
            {
               "time":"2026-03-17T00:45:00Z",
               "value":0.004900000058114529
            },
            {
               "time":"2026-03-17T00:46:00Z",
               "value":0.00839999970048666
            },
            {
               "time":"2026-03-17T00:51:00Z",
               "value":0.00419999985024333
            },
            {
               "time":"2026-03-17T00:53:00Z",
               "value":0.01119999960064888
            },
            {
               "time":"2026-03-17T00:54:00Z",
               "value":0.011900000274181366
            },
            {
               "time":"2026-03-17T00:56:00Z",
               "value":0.007000000216066837
            },
            {
               "time":"2026-03-17T00:58:00Z",
               "value":0.015399999916553497
            },
            {
               "time":"2026-03-17T00:59:00Z",
               "value":0.004900000058114529
            },
            {
               "time":"2026-03-17T01:00:00Z",
               "value":0.02879999950528145
            },
            {
               "time":"2026-03-17T01:04:00Z",
               "value":0.02449999935925007
            },
            {
               "time":"2026-03-17T01:06:00Z",
               "value":0.01119999960064888
            },
            {
               "time":"2026-03-17T01:08:00Z",
               "value":0.011900000274181366
            },
            {
               "time":"2026-03-17T01:09:00Z",
               "value":0.0035000001080334187
            },
            {
               "time":"2026-03-17T01:11:00Z",
               "value":0.007000000216066837
            },
            {
               "time":"2026-03-17T01:13:00Z",
               "value":0.017500000074505806
            },
            {
               "time":"2026-03-17T01:17:00Z",
               "value":0.00419999985024333
            },
            {
               "time":"2026-03-17T01:19:00Z",
               "value":0.00419999985024333
            },
            {
               "time":"2026-03-17T01:20:00Z",
               "value":0.017500000074505806
            },
            {
               "time":"2026-03-17T01:21:00Z",
               "value":0.044199999421834946
            },
            {
               "time":"2026-03-17T01:29:00Z",
               "value":0.00419999985024333
            },
            {
               "time":"2026-03-17T01:32:00Z",
               "value":0.03790000081062317
            },
            {
               "time":"2026-03-17T01:33:00Z",
               "value":0.00279999990016222
            },
            {
               "time":"2026-03-17T01:35:00Z",
               "value":0.004900000058114529
            },
            {
               "time":"2026-03-17T01:38:00Z",
               "value":0.00419999985024333
            },
            {
               "time":"2026-03-17T01:42:00Z",
               "value":0.004900000058114529
            },
            {
               "time":"2026-03-17T01:45:00Z",
               "value":0.0203000009059906
            },
            {
               "time":"2026-03-17T01:46:00Z",
               "value":0.04280000180006027
            },
            {
               "time":"2026-03-17T01:47:00Z",
               "value":0.017500000074505806
            },
            {
               "time":"2026-03-17T01:48:00Z",
               "value":0.009100000374019146
            },
            {
               "time":"2026-03-17T01:51:00Z",
               "value":0.004900000058114529
            },
            {
               "time":"2026-03-17T01:52:00Z",
               "value":0.014000000432133675
            },
            {
               "time":"2026-03-17T01:53:00Z",
               "value":0.007699999958276749
            },
            {
               "time":"2026-03-17T01:54:00Z",
               "value":0.01119999960064888
            },
            {
               "time":"2026-03-17T01:55:00Z",
               "value":0.031599998474121094
            },
            {
               "time":"2026-03-17T01:56:00Z",
               "value":0.038600001484155655
            },
            {
               "time":"2026-03-17T01:57:00Z",
               "value":0.013299999758601189
            },
            {
               "time":"2026-03-17T02:03:00Z",
               "value":0.004900000058114529
            },
            {
               "time":"2026-03-17T02:04:00Z",
               "value":0.013299999758601189
            },
            {
               "time":"2026-03-17T02:05:00Z",
               "value":0.03790000081062317
            },
            {
               "time":"2026-03-17T02:06:00Z",
               "value":0.00419999985024333
            },
            {
               "time":"2026-03-17T02:07:00Z",
               "value":0.017500000074505806
            },
            {
               "time":"2026-03-17T02:54:00Z",
               "value":0.013299999758601189
            },
            {
               "time":"2026-03-17T02:55:00Z",
               "value":0.040699999779462814
            },
            {
               "time":"2026-03-17T02:56:00Z",
               "value":0.010499999858438969
            }
         ],
         "origin":"device",
         "type":"distance",
         "unit":"m"
      }
   ],
   "offset_origin":"profile",
   "source":{
      "device":null,
      "type":"fitbit"
   },
   "start_time":"2026-03-16T05:00:00Z",
   "tags":[
      {
         "name":"range_start",
         "value":"2026-03-16T00:00:00Z"
      },
      {
         "name":"range_end",
         "value":"2026-03-16T23:59:59Z"
      }
   ],
   "type":"intraday",
   "user":{
      "organization_id":"59ba7cdaf758800001c29216",
      "uid":"sfddwr3",
      "user_id":"5c100fSaMPLE3a521419700012a6fc1"
   },
   "utc_offset":-18000,
   "version":"1.0"
}
```

```json Garmin
event:data
data:{
   "checksum":"9c671b5eca2077b18ead0411c5b90d1f",
   "created_at":"2026-03-18T02:59:17.876Z",
   "deleted_at":null,
   "end_time":"2026-03-17T23:45:00Z",
   "granularity":{
      "interval":15,
      "unit":"min"
   },
   "id":"8352d6418Samplee387467e7f9ccf",
   "log_id":"d64f1292eca8bb3a76bd242ce6de044b",
   "metrics":[
      {
         "data_points":[
            {
               "time":"2026-03-17T13:30:00.000Z",
               "value":10
            },
            {
               "time":"2026-03-17T14:00:00.000Z",
               "value":28
            },
            {
               "time":"2026-03-17T16:45:00.000Z",
               "value":12
            },
            {
               "time":"2026-03-17T17:00:00.000Z",
               "value":139
            },
            {
               "time":"2026-03-17T17:30:00.000Z",
               "value":11
            },
            {
               "time":"2026-03-17T20:15:00.000Z",
               "value":149
            },
            {
               "time":"2026-03-17T20:30:00.000Z",
               "value":7
            },
            {
               "time":"2026-03-17T21:30:00.000Z",
               "value":17
            },
            {
               "time":"2026-03-17T21:45:00.000Z",
               "value":214
            },
            {
               "time":"2026-03-17T22:00:00.000Z",
               "value":2204
            },
            {
               "time":"2026-03-17T22:15:00.000Z",
               "value":2541
            },
            {
               "time":"2026-03-17T22:30:00.000Z",
               "value":2545
            },
            {
               "time":"2026-03-17T22:45:00.000Z",
               "value":2406
            },
            {
               "time":"2026-03-17T23:00:00.000Z",
               "value":165
            },
            {
               "time":"2026-03-17T23:15:00.000Z",
               "value":47
            },
            {
               "time":"2026-03-17T23:30:00.000Z",
               "value":67
            },
            {
               "time":"2026-03-17T23:45:00.000Z",
               "value":87
            }
         ],
         "origin":"device",
         "type":"steps",
         "unit":"count"
      },
      {
         "data_points":[
            {
               "time":"2026-03-17T06:30:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T06:45:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T07:00:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T07:15:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T07:30:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T07:45:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T08:00:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T08:15:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T08:30:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T08:45:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T09:00:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T09:15:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T09:30:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T09:45:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T10:00:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T10:15:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T10:30:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T10:45:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T11:00:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T11:15:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T11:30:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T11:45:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T12:00:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T12:15:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T12:30:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T12:45:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T13:00:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T13:15:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T13:30:00.000Z",
               "value":8.1
            },
            {
               "time":"2026-03-17T13:45:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T14:00:00.000Z",
               "value":22.68
            },
            {
               "time":"2026-03-17T14:15:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T14:30:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T14:45:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T15:00:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T15:15:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T15:30:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T15:45:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T16:00:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T16:15:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T16:30:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T16:45:00.000Z",
               "value":9.71
            },
            {
               "time":"2026-03-17T17:00:00.000Z",
               "value":112.58
            },
            {
               "time":"2026-03-17T17:15:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T17:30:00.000Z",
               "value":8.91
            },
            {
               "time":"2026-03-17T17:45:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T18:00:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T18:15:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T18:30:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T18:45:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T19:00:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T19:15:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T19:30:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T19:45:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T20:00:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T20:15:00.000Z",
               "value":120.68
            },
            {
               "time":"2026-03-17T20:30:00.000Z",
               "value":5.66
            },
            {
               "time":"2026-03-17T20:45:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T21:00:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T21:15:00.000Z",
               "value":0
            },
            {
               "time":"2026-03-17T21:30:00.000Z",
               "value":13.77
            },
            {
               "time":"2026-03-17T21:45:00.000Z",
               "value":173.32
            },
            {
               "time":"2026-03-17T22:00:00.000Z",
               "value":2301.82
            },
            {
               "time":"2026-03-17T22:15:00.000Z",
               "value":2772.09
            },
            {
               "time":"2026-03-17T22:30:00.000Z",
               "value":2743.01
            },
            {
               "time":"2026-03-17T22:45:00.000Z",
               "value":2538.0899999999997
            },
            {
               "time":"2026-03-17T23:00:00.000Z",
               "value":133.63
            },
            {
               "time":"2026-03-17T23:15:00.000Z",
               "value":38.07
            },
            {
               "time":"2026-03-17T23:30:00.000Z",
               "value":54.26
            },
            {
               "time":"2026-03-17T23:45:00.000Z",
               "value":70.46
            }
         ],
         "origin":"device",
         "type":"distance",
         "unit":"m"
      }
   ],
   "offset_origin":"source",
   "source":{
      "device":null,
      "type":"garmin"
   },
   "start_time":"2026-03-17T06:30:00Z",
   "tags":[

   ],
   "type":"intraday",
   "user":{
      "organization_id":"59ba7cdaSample0001c29216",
      "uid":"sfddwr3",
      "user_id":"5c65a7b321419700019df1a5"
   },
   "utc_offset":-18000,
   "version":"1.0"
}
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "inform-data-resources",
    "version": "2.0"
  },
  "servers": [
    {
      "url": "https://api.v2.validic.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "query",
        "name": "api_key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/organizations/{org_id}/users/{uid}/intraday?token={token}": {
      "get": {
        "summary": "Intraday",
        "description": "Returns a list of time series activity data for a given user.\n\nGET /organizations/:org_id/users/:uid/intraday",
        "operationId": "intraday-2",
        "parameters": [
          {
            "name": "org_id",
            "in": "path",
            "description": "Organization ID provided to you by Validic.",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "uid",
            "in": "path",
            "description": "The UID you defined when provisioning the client.",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "token",
            "in": "path",
            "description": "Developer Key as supplied by Validic.",
            "schema": {
              "type": "string"
            },
            "required": true
          },
          {
            "name": "start_date",
            "in": "query",
            "description": "The start date to retrieve user data for. Format: YYYY-MM-DD. Default is current UTC day. Max date range is 30 days.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "end_date",
            "in": "query",
            "description": "The end date to retrieve user data for. Format: YYYY-MM-DD. Default is current UTC day. Max date range is 30 days.",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "source",
            "in": "query",
            "description": "Used to filter records to source(s).  Example:  “...?source=fitbit,garmin” or  “...?source=dexcom”",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "\"data\": [\n        {\n            \"checksum\": \"a2a82dea4dc0668a361a5f4695ff41fb\",\n            \"created_at\": \"2026-03-17T19:53:37.632Z\",\n            \"deleted_at\": null,\n            \"end_time\": \"2026-03-17T16:35:11Z\",\n            \"granularity\": {\n                \"interval\": 5,\n                \"unit\": \"min\"\n            },\n            \"id\": \"7f9e3d58fbfe5aa7f106cba2178c3e28\",\n            \"log_id\": \"b5846a9a9e42c29dadee8c72e1f37704\",\n            \"metrics\": [\n                {\n                    \"type\": \"blood_glucose\",\n                    \"origin\": \"device\",\n                    \"unit\": \"mg/dL\",\n                    \"data_points\": [\n                        {\n                            \"value\": 125,\n                            \"time\": \"2026-03-17T16:35:11Z\"\n                        },\n                        {\n                            \"value\": 125,\n                            \"time\": \"2026-03-17T16:30:11Z\"\n                        },\n                        {\n                            \"value\": 122,\n                            \"time\": \"2026-03-17T16:25:10Z\"\n                        },\n                        {\n                            \"value\": 120,\n                            \"time\": \"2026-03-17T16:20:10Z\"\n                        },\n                        {\n                            \"value\": 120,\n                            \"time\": \"2026-03-17T16:15:11Z\"\n                        },\n                        {\n                            \"value\": 123,\n                            \"time\": \"2026-03-17T16:10:11Z\"\n                        },\n                        {\n                            \"value\": 123,\n                            \"time\": \"2026-03-17T16:05:10Z\"\n                        },\n                        {\n                            \"value\": 122,\n                            \"time\": \"2026-03-17T16:00:10Z\"\n                        },\n                        {\n                            \"value\": 122,\n                            \"time\": \"2026-03-17T15:55:11Z\"\n                        }\n                    ]\n                }\n            ],\n            \"offset_origin\": \"user_defined\",\n            \"source\": {\n                \"type\": \"dexcom\",\n                \"device\": null\n            },\n            \"start_time\": \"2026-03-17T15:55:11Z\",\n            \"type\": \"intraday\",\n            \"user\": {\n                \"organization_id\": \"59ba7cdSAMPLE001c29216\",\n                \"user_id\": \"5bb4d8e1sample012409f5\",\n                \"uid\": \"277040620-sel\"\n            },\n            \"utc_offset\": -25200,\n            \"version\": \"1.0\"\n        },"
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "Indicates that there was an error with request"
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"errors\": [\n        \"Token is not authorized to access organization\"\n    ]\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "string",
                        "example": "Token is not authorized to access organization"
                      }
                    }
                  }
                }
              }
            }
          },
          "403": {
            "description": "403",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": "{\n    \"message\": \"Invalid authentication credentials\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "message": {
                      "type": "string",
                      "example": "Invalid authentication credentials"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl --request GET \\\n  --url 'https://api.v2.validic.com/organizations/59ba7cdSAMPLE001c29216/users/277040620-sel/intraday?start_date=2018-10-17&token=d330c6f543da460890d193ef0b6fa9fe'"
            },
            {
              "language": "ruby",
              "code": "require 'uri'\nrequire 'net/http'\n\nurl = URI(\"https://api.v2.validic.com/organizations/59ba7cdaf758800001c29216/users/277040620-sel/intraday?start_date=2018-10-14&token=d330c6f543da460890d193ef0b6fa9fe\")\n\nhttp = Net::HTTP.new(url.host, url.port)\n\nrequest = Net::HTTP::Get.new(url)\n\nresponse = http.request(request)\nputs response.read_body"
            },
            {
              "language": "python",
              "code": "import requests\n\nurl = \"https://api.v2.validic.com/organizations/59ba7cdaf758800001c29216/users/277040620-sel/intraday\"\n\nquerystring = {\"start_date\":\"2018-10-14\",\"token\":\"d330c6f543da460890d193ef0b6fa9fe\"}\n\nresponse = requests.request(\"GET\", url, params=querystring)\n\nprint(response.text)"
            },
            {
              "language": "go",
              "code": "package main\n\nimport (\n\t\"fmt\"\n\t\"net/http\"\n\t\"io/ioutil\"\n)\n\nfunc main() {\n\n\turl := \"https://api.v2.validic.com/organizations/59ba7cdaf758800001c29216/users/277040620-sel/intraday?start_date=2018-10-14&token=d330c6f543da460890d193ef0b6fa9fe\"\n\n\treq, _ := http.NewRequest(\"GET\", url, nil)\n\n\tres, _ := http.DefaultClient.Do(req)\n\n\tdefer res.Body.Close()\n\tbody, _ := ioutil.ReadAll(res.Body)\n\n\tfmt.Println(res)\n\tfmt.Println(string(body))\n\n}"
            },
            {
              "language": "php",
              "code": "<?php\n\n$curl = curl_init();\n\ncurl_setopt_array($curl, array(\n  CURLOPT_URL => \"https://api.v2.validic.com/organizations/59ba7cdaf758800001c29216/users/277040620-sel/intraday?start_date=2018-10-14&token=d330c6f543da460890d193ef0b6fa9fe\",\n  CURLOPT_RETURNTRANSFER => true,\n  CURLOPT_ENCODING => \"\",\n  CURLOPT_MAXREDIRS => 10,\n  CURLOPT_TIMEOUT => 30,\n  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\n  CURLOPT_CUSTOMREQUEST => \"GET\",\n));\n\n$response = curl_exec($curl);\n$err = curl_error($curl);\n\ncurl_close($curl);\n\nif ($err) {\n  echo \"cURL Error #:\" . $err;\n} else {\n  echo $response;\n}"
            }
          ],
          "samples-languages": [
            "curl",
            "ruby",
            "python",
            "go",
            "php"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```